CAL(1)

BEZEICHNUNG
cal, ncal - Einen Kalender und das Datum von Ostern anzeigen.

ÜBERSICHT
cal [-3hjy] [-A number] [-B number] [ [month] year] cal [-3hj] [-A number] [-B number] -m month [year] ncal [-3bhjJpwySM] [-A number] [-B number] [-s country_code] [ [month] year] ncal [-3bhJeoSM] [-A number] [-B number] [year] ncal [-CN] [-H yyyy-mm-dd] [-d yyyy-mm]

BESCHREIBUNG
Das Werkzeug cal zeigt einen einfachen Kalender im traditionellen Format an und ncal stellt ein alternatives Layout dafür bereit, weitere Optionen und die Daten der Osterfeiertage. Das neue Format wirkt etwas gedrängt, dadurch passt aber ein Jahr in ein Terminal mit 25 Zeilen und 80 Spalten. Wenn keine Argumente angegeben werden, wird der aktuelle Monat angezeigt.

Die Bedeutung der Optionen im Einzelnen:

-h  schaltet das Hervorheben des heutigen Tages aus.

-J  zeigt den Julianischen Kalender an. In Kombination mit der Option -o wird das orthodoxe Datum von Ostern entsprechend des Julianischen Kalenders angezeigt.

-e  zeigt das Datum von Ostern an (für westliche Kirchen).

-j  zeigt die Julianischen Tage an (Tage des Jahres werden beginnend mit dem 1. Januar hochgezählt).

-m Monat
    zeigt den angegebenen Monat an. Wenn dieser Monat als Dezimalzahl angegeben ist, wird mit ‘f’ der gleiche Monat des nächsten oder mit ‘p’ der gleiche Monat des vorigen Jahres angezeigt.

-o  zeigt das Datum des orthodoxen Osterfestes an (Griechische und Russische Orthodoxe Kirchen).

-p  Print the country codes and switching days from Julian to Gregorian Calendar as they are assumed by ncal. The country code as determined from the local environment is marked with an asterisk.

-s Ländercode
    Assume the switch from Julian to Gregorian Calendar at the date associated with the country_code. If not specified, ncal tries to guess the switch date from the local environment or falls back to September 2, 1752. This was when Great Britain and her colonies switched to the Gregorian Calendar.

-w  gibt die Wochennummer unterhalb der Wochenspalte aus.

-y  zeigt den Kalender für ein bestimmtes Jahr an. Diese Option ist impliziert, wenn ein Jahr, aber kein Monat auf der Befehlszeile angegeben ist.

-3  zeigt den vorigen, gegenwärtigen und nächsten Monat an (in bezug auf den heutigen Tag).

-1  zeigt nur den aktuellen Monat an(dies ist die Vorgabe)

-A Anzahl
    Months to add after. The specified number of months is added to the end of the display. This is in addition to any date range selected by the -y, -3, or -1 options. For example, “cal -y -B2 -A2” shows everything from November of the previous year to February of the following year. Negative numbers are allowed, in which case the specified number of months is subtracted. For example, “cal -y -B-6” shows July to December. And “cal -A11” simply shows the next 12 months.

-B Anzahl
    Months to add before. The specified number of months is added to the beginning of the display. See -A for examples.

-C  schaltet in den cal -Modus um.

-N  schaltet in den ncal -Modus um.

-d jjjj-mm
    verwendet jjjj-mm als aktuelles Datum (zum Fehlersuchen der Datumsauswahl).

-H jjjj-mm-tt
    verwendet jjjj-mm-tt als aktuelles Datum (zum Fehlersuchen in der Hervorhebung).

-M  Wochen beginnen montags

-S  Wochen beginnen sonntags

-b  benutzt das alte Format für die Ausgabe von Ncal.

A single parameter specifies the year (1–9999) to be displayed; note the year must be fully specified: “cal 89” will not display a calendar for 1989. Two parameters denote the month and year; the month is either a number between 1 and 12, or a full or abbreviated name as specified by the current locale. Month and year default to those of the current system clock and time zone (so “cal -m 8” will display a calendar for the month of August in the current year).

Nicht alle Optionen können zusammen verwendet werden. Beispielsweise schließen sich die Optionen -y, -3 und -1 gegenseitig aus. Falls inkonsistente Optionen angegeben werden, wird die zuletzt angegebene verwendet.

Ein Jahr beginnt am 1. Januar.

SIEHE AUCH
calendar(3), strftime(3)

GESCHICHTE
A cal command appeared in AT&T UNIX. The ncal command appeared in FreeBSD 2.2.6. The output of the cal command is supposed to be bit for bit compatible to the original Unix cal command, because its output is processed by other programs like CGI scripts, that should not be broken. Therefore it will always output 8 lines, even if only 7 contain data. This extra blank line also appears with the original cal command, at least on Solaris 8

AUTOREN
Der Befehl ncal und das Handbuch wurden von Wolfgang Helbig <helbig@FreeBSD.org> geschrieben.

FEHLER
The assignment of Julian–Gregorian switching dates to country codes is historically naive for many countries.

Nicht alle Optionen sind kompatibel und die Verwendung in verschiedener Reihenfolge wird zu verschiedenen Ergebnissen führen.

Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.